; Unless the entire full path is specified, all paths/directories will be configured
; relative to the program binary. Generally, it is easiest to leave these paths
; set to their default values and use filesystem symlinks to point to their actual
; locations.

; No environment variables will be expanded in any configuration setting. Maybe I will
; support that later, maybe not.

[general]

	; override system time zone. not very important even if it is wrong
	Time_Zone=

	; set external editor for modifying LSM metadata files
	editor=nano

[paths]

	; the parent directory of all local repositories.
	Repositories='./repos'

	; parent path for fake repositories for usage in package comparison charts.
	Pseudo='./pseudo'

	; directory for repository template. Contains html, css and UI images.
	Template='./template'

	; override system default temporary directory
	; be warned, it can take several GB of free space to generate a ISO image.
	; probably fine to leave this blank.
	; if you have issues, you can set it.
	Temporary=

[repository]

	; default repository when it was not specified
	Default=latest

	; when two copies of a package share the save version number but have different
	; modification dates, delete the older of the two copies. packages that have
	; different version numbers are not considered duplicates.
	dedup=true

[language]

	; supported languages and their names (English,Native) and order
	en=English
	; es=Spanish,Español
	de=German,Deutsch
	fr=French,français
	tr=Turkish,Türkçe
	sv=Swedish,Svenska

[csv]

	; CSV fields and their order
	; To be able to support other FDRepo repositories to use you repositories as a
	; source for packages, you will need to provide at least: Package, Group, Title,
	; Version, Modified-Date and CRC32. However, the default fields are the recommended
	; minimum.
	Field=package
	Field=title
	Field=group
	Field=modified-date
	Field=entered-date
	Field=version
	Field=author
	Field=copying-policy
	Field=crc32
	Field=description
	Field=summary
	Field=keywords

[lsm]

	; LSM metadata fields and their order for HTML Pages
	Field=title
	Field=version
	Field=description
	Field=summary
	Field=changes
	Field=author
	Field=maintained-by
	Field=maintainer
	Field=copying-policy
	Field=keywords
	Field=platforms
	Field=wiki-site
	Field=primary-site
	Field=alternate-site
	Field=original-site
	Field=long-file-names
	Field=modified-date
	Field=entered-date
	Field=crc32
	; Field=MD5
	Field=sha
	Field=file-size
	Field=download
	; The information in these fields are provided on other areas
	; of the page or are simply not needed.
	; Field=language
	; Field=package
	; Field=group

[html]

	Webmaster=Nobody
	Contact=nobody@nowhere.com

	; Text name of your website
	Website=Nowhere.com
	; Home page of your website
	URL=http://www.nowhere.com

	; Create an index file for multiple repositories
	Repositories_Index=True

	; Enable display of the "HOME" icon/link in the navigation bar. It will link
	; to the URL for your website. Note, this can be a different server than that
	; which hosts the repositories. If a HOME.PNG file is included in the website
	; template, it will be used instead of text.
	NavBar_Home=True

	; Enable display of the path/link above the repository.
	; This is defined in the FDREPO.NLS file in the COMMON section as simply
	; as NavBar_URL(_LANG) and NavBar_Text(_LANG) for each language. When those
	; are defined and this setting is TRUE, it will include the PARENT in the
	; displayed navigation bar that can be used to return to a specific URL on
	; a different server and based on the users language.
	; The NavBar will be something like:
	; [HOME]/[PARENT]/[INDEXS_OF_REPOS]/GROUPS/PACKAGES/VERSION
	NavBar_Parent=True

	; If false, all pages (excluding the list of repositories) will link
	; to external CSS files instead of embedding the CSS into the page.
	; Disabling this feature will reduce the size of the pages.
	; Enabling it insures any CSS changes take affect immediately when any pages
	; are updated. This prevents a web browser from using old cached CSS.
	Embed_CSS=true

	; location within a repository to store the HTML, CSS and UI images files.
	; note, the main HTML index file is always stored in the root of the repository.
	Files_Subpath='./html'

	; location within a repository to store the screen shot images.
	ScreenShot_Subpath='./images'

	; pixel height/width maximum size for thumbnail images, 64-512. 0 = disabled.
	Thumbnails=160

[optional]

	; create a config file and link for the various repositories to be used with FDNPKG
	FDNPKG=false
	; base url to all repositories accessed by FDNPKG. Must not use HTTPS.
	FDNPKG_URL=http://dos.nowhere.com/repos

	; create ISO image files. Must also be enabled in the individual repo.ini files.
	; Depending on how many packages are in your repositories, the ISO files can be very
	; large. If you are concerned about bandwidth, leave this off.
	ISO=false

	; limit RSS feeds to maximum number of entries. 0 = do not create feed.
	RSS=0
	; base url to all repositories for the RSS feeds. HTTPS is preferred.
	RSS_URL=https://nowhere.com/repos

	; create repository to release comparison charts and provide a link
	Comparison=false

[update]

	; repositories and path to new packages that will be added automatically when
	; the command-line option to "update" is provided. a version of the package
	; must already exist in that repository. otherwise, the package will be skipped.

	; examples:

	; 1.5=/home/bob/update/1.3
	; freeware=/home/bob/pending
	; oss=/home/bob/update/latest
	; 1.4=./update/1.4
	; latest=./update/latest

	latest='./updates'

; [upstream]

	; In general, unless you have a very good reason (like your hosting an Official
	; FreeDOS Repository), you probably should not pull packages directly from
	; The FreeDOS GitLab Archive. Instead, you should use the settings in the
	; [collab] section to retrieve them from a "peer" repository that is powered
	; by FDRepo. It is more reliable, more efficient and much faster for both servers.

	; Not required but will likely cause FDRepo to need to download a project
	; from upstream every time a check is performed, even if no recent changes
	; to the project were made. This setting applies to any and all upstream repos.
	; It only need defined once.

	; cache='./.cache'

	; Only GitLab is supported at this time.
	; multiple upstream origin repositories can be used.
	; all settings for each entry must be declared and in this specific order.

	; local repository ID
	; Repo=latest

	; Base URL for git repositories
	; URL=https://gitlab.com/FreeDOS

	; Branch order. For the FreeDOS Archive on Gitlab, possible branches are
	; candidate, unstable and master (or main). There may be other branches like
	; devel that are not meant for general cloning and for usage as packages.
	; To specify the default branch of the repository, use *. Only branches
	; defined will be used. For example, to pull the latest package from the
	; FreeDOS archive, you would use default setting provided. It will first
	; check for a preview branch, then an unstable branch, next candidate and
	; finally just use fall back to using the default branch.
	; Branch=preview,unstable,candidate,*

	; Where to store the downloaded and compressed packages.
	; You could leave it blank to specify the current working directory.
	; Storage=./upstream

	; When to update the package.
	; Version=only when project version has changed.
	; Modified=anytime project had any significant changes.
	; Always=just update it if the project has been modified.
	; Ignore=only download and create packages manually using 'upstream get' command.
	; If you also want to pull packages that do not exist locally, include
	; a New as well. For example:
	; When=New,Versions
	; When=Modified

	; Exclude processing path/name items which are known to not be projects.
	; Archived or private projects are automatically excluded.
	; For the Official FreeDOS Archive on GitLab, we can exclude:
	; issue-reporting - Project for Email based bug reports
	; OS/* - OS related projects not for a release. like the RBE, FDRepo, etc.
	; docs - At least for now, this is not a project for a package.
	; Exclude=issue-reporting,os/*,docs

	; examples

	; Packages for FreeDOS
	; Repo=latest
	; URL=https://gitlab.com/FreeDOS
	; Branch=preview,unstable,candidate,*
	; Storage=./updates
	; When=Ignore
	; Exclude=issue-reporting,os/*,docs

	; More OSS and NON-OSS packages for FreeDOS
	; Repo=latest
	; URL=https://gitlab.com/Dx86
	; Branch=preview,unstable,candidate,*
	; Storage=./updates
	; When=Ignore
	; Exclude=

[collab]

	; For retrieving prepared package updates from a "peer" repositories that is powered
	; by FDRepo. While configuration of peer repositories is similar to "upstream"
	; it works very different and it is the preferred method when possible.

	; A collaborating repository must provide both the fields 'PACKAGE, GROUP, VERSION,
	; MODIFIED-DATE and CRC32" in it's LISTING.CSV file. Or, it will not be used to
	; retrieve package updates.

	; local repository ID
	; Repo=latest

	; Base URL for the peer repository.
	; The Official FreeDOS download an software update repository powered by FDRepo for
	; the latest and unstable packages.
	; URL=https://www.ibiblio.org/pub/micro/pc-stuff/freedos/files/repositories/latest/
	; URL=https://fd.lod.bz/repos/latest

	; Where to store the downloaded and compressed packages.
	; You could leave it blank to specify the current working directory.
	; Storage=./updates

	; When to update the package.
	; Version=only when project version has changed.
	; Modified=anytime project had any significant changes.
	; Always=just update it if the project has been modified.
	; Ignore=only download packages manually using "collab get" command
	; If you also want to pull packages that do not exist locally, include
	; a New as well. For example:
	; When=New,Versions
	; When=Ignore

	; Exclude specific groups or projects from retrieval.
	; Using group/project (supports wildcards), to specify what to exclude.
	; For example:
	; exclude all games, "games/*"
	; exclude any package called opengem, "*/opengem"
	; Exclude=obsolete/*


	; The Official FreeDOS "Latest and Unstable" Download and Update Repository
	; Not online. It is expected to be deployed to this server on 6/22/2025.
	; Repo=latest
	; URL=https://www.ibiblio.org/pub/micro/pc-stuff/freedos/files/repositories/latest/
	; Storage=./updates
	; When=New,Versions
	; Exclude=obsolete/*

	; The unofficial FD.LOD.BZ "Latest and Unstable" Repository
	Repo=latest
	URL=https://fd.lod.bz/repos/latest
	Storage=./updates
	When=Ignore
	Exclude=obsolete/*

